MPBIOS(4)

NAME
mpbios - MP BIOS

SYNOPSIS
mpbios0 at bios0

DESCRIPTION
The mpbios driver extracts configuration information from the BIOS on multiprocessor systems that conform to the Intel MultiProcessor Specification. This information is used to attach application processors and APICs, and to assign interrupts to ISA, EISA and PCI devices.

On modern systems this information is provided by ACPI through the acpimadt(4) device. On such a system mpbios will not attach, even if the BIOS also contains the data structures specified by the Intel MP Specification.

The mpbios driver supports version 1.1 and 1.4 of the Intel MP Specification.

SEE ALSO
acpi(4), acpimadt(4), bios(4), cpu(4), intro(4), ioapic(4)

HISTORY
The mpbios driver first appeared in OpenBSD 4.5, based on code present since OpenBSD 3.6.